Bug 828468 - [RFE] Improved Error Checking for Repositories Package Groups [NEEDINFO]
[RFE] Improved Error Checking for Repositories Package Groups
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 14:52 EDT by james labocki
Modified: 2014-09-08 14:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-08 14:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jrist: needinfo? (jlabocki)


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-06-04 14:52:58 EDT
Description of problem:
Improve the error checking on content repositories. For example, if you synchronize a custom content provider that has some package group information, but it is somewhat broken then this brokeness makes its way into the User Interface.

When you click on Content Management > Promotions > Library Content > System Templates > %template_name%, Package Groups aren't showing up.  Also, distributions not showing up.

If pulp/grinder/katello could verify package groups do or do not exist and then display them in the UI only if they work correctly it would be ideal.
Comment 1 Jason E. Rist 2012-08-15 11:22:00 EDT
Can you give an example or a bit more details on how to reproduce this?
Comment 3 Bryan Kearney 2014-09-08 14:17:23 EDT
Per discussions with James, I am closing this out.

Note You need to log in before you can comment on or make changes to this bug.